XFcPrimitiveTranslator class Reference

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XFcPrimitiveTranslator Class Reference

XFcPrimitiveTranslator class translates drawing commands for XFcPrimitiveDraw. More...

Collaboration diagram for XFcPrimitiveTranslator:

[legend]
List of all members.

## Public Member Functions

virtual XFCIMPORT | ~XFcPrimitiveTranslator ()
| Destructor.
XFCIMPORT void | setRenderTarget (XFcGLSurface *aRenderTarget)
| Sets the surface for rendering.
XFCIMPORT XFcGLSurface * | getRenderTarget ()
| Returns the rendering surface.
XFCIMPORT void | setRenderer (XFcPrimitiveDraw *aRenderer)
| Sets the XFcPrimitiveDraw to be used for rendering.
XFCIMPORT void | setClipRect (XFcRectangle *aClipRect)
| Sets the clipping rectangle to be used for rendering.
XFCIMPORT void | setTransformation (XFcMatrix3 &aTransformation)
| Sets the transformation matrix for transforming the primitives.
XFCIMPORT void | setCurveSmoothLength (REAL aSmoothness)
| Sets the smoothness for the curve approximation.
XFCIMPORT void | setFillGradient (XFcPrimitiveDrawGradientFiller *aGradient)
| Sets the gradient filler to be used for filling.
XFCIMPORT void | setStrokeGradient (XFcPrimitiveDrawGradientFiller *aGradient)
| Sets the gradient filler to be used for stroking.
XFCIMPORT void | setFillImage (XFcPrimitiveDrawImageFiller *aImageFiller)
| Sets the image filler to be used for filling.
XFCIMPORT void | setStrokeImage (XFcPrimitiveDrawImageFiller *aImageFiller)
| Sets the image filler to be used for stroking.
XFCIMPORT void | setFillPattern (XFcPrimitiveDrawPatternFiller *aPattern)
| Sets the pattern filler to be used for filling.
XFCIMPORT void | setStrokePattern (XFcPrimitiveDrawPatternFiller *aPattern)
| Sets the pattern filler to be used for stroking.
XFCIMPORT void | setFillColor (UINT32 aColor)
| Sets the color to be used for filling. Color is in X8R8G8B8 format.
XFCIMPORT void | setStrokeColor (UINT32 aColor)
| Sets the color to be used for stroking. Color is in X8R8G8B8 format.
XFCIMPORT void | setFillOff ()
| Sets the filling off.
XFCIMPORT void | setStrokeOff ()
| Sets the stroking off.
XFCIMPORT void | setFillOpacity (UINT8 aOpacity)
| Sets the opacity for filling.
XFCIMPORT void | setStrokeOpacity (UINT8 aOpacity)
| Sets the opacity for stroking.
XFCIMPORT void | setFillRule (INT32 aFillRule)
| Sets the fill rule for filling.
XFCIMPORT void | setStrokeWidth (REAL aWidth)
| Sets the stroke width.
XFCIMPORT void | setLineCap (INT32 aLineCap)
| Sets the line cap style.
XFCIMPORT void | setLineJoin (INT32 aLineJoin)
| Sets the line join style.
XFCIMPORT void | setMiterLimit (REAL aMiterLimit)
| Sets the miter limit.
XFCIMPORT void | setDashArray (REAL *aDashArray, INT32 aLength)
| Sets the dash array for dashing.
XFCIMPORT void | setDashOffset (REAL aDashOffset)
| Sets the dash offset for dashing.
XFCIMPORT void | setAntialiasing (INT aState)
| Sets the antialiasing mode (TRUE / FALSE).
XFCIMPORT void | beginPath ()
| Starts a path command.
XFCIMPORT void | endPath ()
| Ends a path command. The path will be rendered to the canvas.
XFCIMPORT void | moveToAbsolute (XFcVector2 &aPos)
| Moves the pointer to an absolute position.
void | moveToAbsolute (REAL aX, REAL aY)
| Moves the pointer to an absolute position.
XFCIMPORT void | moveToRelative (XFcVector2 &aPos)
| Moves the pointer relatively to the previous position.
void | moveToRelative (REAL aX, REAL aY)
| Moves the pointer relatively to the previous position.
XFCIMPORT void | lineToAbsolute (XFcVector2 &aPos)
| Draws a line from previous position to a new position.
void | lineToAbsolute (REAL aX, REAL aY)
| Draws a line from previous position to a new position.
XFCIMPORT void | lineToRelative (XFcVector2 &aPos)
| Draws a line in relation to the previous position.
void | lineToRelative (REAL aX, REAL aY)
| Draws a line in relation to the previous position.
XFCIMPORT void | horizontalLineToAbsolute (REAL aX)
| Draws a horizontal line from the previous position to a new x position.
XFCIMPORT void | horizontalLineToRelative (REAL aX)
| Draws a horizontal line in relation to the previous position.
XFCIMPORT void | verticalLineToAbsolute (REAL aY)
| Draws a vertical line from the previous position to a new y position.
XFCIMPORT void | verticalLineToRelative (REAL aY)
| Draws a vertical line in relation to the previous position.
XFCIMPORT void | curveToAbsolute (XFcVector2 &aCP1, XFcVector2 &aCP2, XFcVector2 &aPos)
| Draws a cubic bezier curve from the previous position to a new position with two control points.
void | curveToAbsolute (REAL aXCP1, REAL aYCP1, REAL aXCP2, REAL aYCP2, REAL aX, REAL aY)
| Draws a cubic bezier curve from the previous position to a new position with two control points.
XFCIMPORT void | curveToRelative (XFcVector2 &aCP1, XFcVector2 &aCP2, XFcVector2 &aPos)
| Draws a cubic bezier curve in relation to the previous position.
void | curveToRelative (REAL aXCP1, REAL aYCP1, REAL aXCP2, REAL aYCP2, REAL aX, REAL aY)
| Draws a cubic bezier curve in relation to the previous position.
XFCIMPORT void | smoothCurveToAbsolute (XFcVector2 &aCP2, XFcVector2 &aPos)
| Draws a cubic bezier curve from the previous position to a new position using a mirror of the previous control point and one new control point.
void | smoothCurveToAbsolute (REAL aXCP2, REAL aYCP2, REAL aX, REAL aY)
| Draws a cubic bezier curve from the previous position to a new position using a mirror of the previous control point and one new control point.
XFCIMPORT void | smoothCurveToRelative (XFcVector2 &aCP2, XFcVector2 &aPos)
| Draws a cubic bezier curve in relation to the previous position using a mirror of the previous control point and one new control point.
void | smoothCurveToRelative (REAL aXCP2, REAL aYCP2, REAL aX, REAL aY)
| Draws a cubic bezier curve in relation to the previous position using a mirror of the previous control point and one new control point.
XFCIMPORT void | quadraticCurveToAbsolute (XFcVector2 &aCP, XFcVector2 &aPos)
| Draws a quadratic bezier curve from the previous position to a new position using one control point.
void | quadraticCurveToAbsolute (REAL aXCP, REAL aYCP, REAL aX, REAL aY)
| Draws a quadratic bezier curve from the previous position to a new position using one control point.
XFCIMPORT void | quadraticCurveToRelative (XFcVector2 &aCP, XFcVector2 &aPos)
| Draws a quadratic bezier curve in relation to the previous position using one control point.
void | quadraticCurveToRelative (REAL aXCP, REAL aYCP, REAL aX, REAL aY)
| Draws a quadratic bezier curve in relation to the previous position using one control point.
XFCIMPORT void | smoothQuadraticCurveToAbsolute (XFcVector2 &aPos)
| Draws a quadratic bezier curve from the previous position to a new position using a mirror of the previous control point.
void | smoothQuadraticCurveToAbsolute (REAL aX, REAL aY)
| Draws a quadratic bezier curve from the previous position to a new position using a mirror of the previous control point.
XFCIMPORT void | smoothQuadraticCurveToRelative (XFcVector2 &aPos)
| Draws a quadratic bezier curve in relation to the previous position using a mirror of the previous control point.
void | smoothQuadraticCurveToRelative (REAL aX, REAL aY)
| Draws a quadratic bezier curve in relation to the previous position using a mirror of the previous control point.
XFCIMPORT void | ellipticalArcAbsolute (XFcVector2 &aRadii, REAL aRotation, UINT32 aFlags, XFcVector2 &aPos)
| Draws an ellipical arc. See SVG 1.0 Specification for explanation.
void | ellipticalArcAbsolute (REAL aRadiusX, REAL aRadiusY, REAL aRotation, UINT32 aFlags, REAL aX, REAL aY)
| Draws an ellipical arc. See SVG 1.0 Specification for explanation.
XFCIMPORT void | ellipticalArcRelative (XFcVector2 &aRadii, REAL aRotation, UINT32 aFlags, XFcVector2 &aPos)
| Draws an ellipical arc. See SVG 1.0 Specification for explanation.
void | ellipticalArcRelative (REAL aRadiusX, REAL aRadiusY, REAL aRotation, UINT32 aFlags, REAL aX, REAL aY)
| Draws an ellipical arc. See SVG 1.0 Specification for explanation.
XFCIMPORT void | closePath ()
| Closes the path with a straight line.
XFCIMPORT void | getEdgeInfo (REAL aPos, XFcVector2 *aPosition, XFcVector2 *aDirection)
| After the endpath command has been issued, it is possible to find a point on the edge of the path.

## Static Public Member Functions

XFCIMPORT XFcPrimitiveTranslator * | create ()
| Static constructor.

## Protected Member Functions

| XFcPrimitiveTranslator ()
| Protected constructor.
void | calculateStroking ()
| Calculates the stroke from mPoints and mLineIndicies to mEdgepoints, mEdgeJoins and mEdgeLineIndicies.
void | calculateFilling ()
| Calculates the filling for the path by closing all gaps.
void | calculateEdgeLengths ()
| Calcultaes the edge length array from mPoints and mLineIndicies.
void | calculatePerceivedValues ()
| Calculates the perceived values of stroke width, opacity, caps and joins for very thin lines.
void | createDash (XFcPrimitiveDrawPointSet *aPoints, XFcPrimitiveDrawLineSet *aLines, XFcPrimitiveTranslatorLengths *aEdgeLengths, XFcPrimitiveTranslatorFlags *aLineFlags)
void | createRoundingCircle ()
| Creates the circle to be used for rounded caps and joins.
void | resetCircleArray (INT32 aArraySize)
| Creates an array of XFcPrimitiveDrawIndexedPrimitives to be used for rounded caps and joins.
void | deleteCircleArray ()
| Deletes the circle array.
void | addRoundingCircle (XFcVector2 &aPos)
| Adds the rounding circle to the path being drawn.

## Protected Attributes

XFcRectangle * | mClipRect
XFcGLSurface * | mRenderTarget
XFcPrimitiveDraw * | mRenderer
XFcMatrix3 | mTransformation
REAL | mCurveSmooth
INT32 | mFillMode
INT32 | mStrokeMode
UINT32 | mFillColor
UINT32 | mStrokeColor
UINT8 | mFillOpacity
UINT8 | mStrokeOpacity
INT32 | mFillRule
REAL | mStrokeWidth
INT32 | mLineCap
INT32 | mLineJoin
REAL | mPerceivedStrokeWidth
UINT8 | mPerceivedStrokeOpacity
INT32 | mPerceivedLineJoin
INT32 | mPerceivedLineCap
REAL | mMiterLimit
REAL * | mDashArray
INT32 | mDashArrayLength
REAL | mDashOffset
XFcPrimitiveDrawPointSet * | mPoints
XFcPrimitiveDrawLineSet * | mLineIndicies
XFcPrimitiveDrawIndexedPrimitiveSet * | mEdgeJoins
XFcPrimitiveDrawPointSet * | mEdgePoints
XFcPrimitiveDrawLineSet * | mEdgeLineIndicies
UINT32 | mProcessingInfoFlags
XFcVector2 | mCurrentPoint
XFcVector2 | mLastControlPoint
XFcVector2 | mPathStart
INT32 | mFirstPoint
INT32 | mFirstLine
INT32 | mLineCaps
XFcPrimitiveTranslatorLengths * | mEdgeLengths
XFcPrimitiveTranslatorFlags * | mLineFlags
XFcPrimitiveDrawIndexedPrimitive ** | mCircleArray
INT32 | mCircleArrayLength
INT32 | mCircleIndex
REAL | mRoundingCircleSize
REAL | mRoundingCircleYPos
XFcPrimitiveDrawIndexedPrimitive * | mRoundingCircleLeft
XFcPrimitiveDrawIndexedPrimitive * | mRoundingCircleRight
INT32 | mInvalidationFlags
INT32 | mInsertedLineCount
XFcPrimitiveDrawFiller * | mFiller
XFcPrimitiveDrawFiller * | mStrokeFiller
INT | mAntialiasing

## Detailed Description

XFcPrimitiveTranslator class translates drawing commands for XFcPrimitiveDraw.

## Constructor & Destructor Documentation

virtual XFCIMPORT XFcPrimitiveTranslator::~XFcPrimitiveTranslator | ( |  | ) | `[virtual]`

| Destructor.

XFcPrimitiveTranslator::XFcPrimitiveTranslator | ( |  | ) | `[protected]`

| Protected constructor.

## Member Function Documentation

void XFcPrimitiveTranslator::addRoundingCircle | ( | XFcVector2 & | aPos | ) | `[protected]`

| Adds the rounding circle to the path being drawn.

XFCIMPORT void XFcPrimitiveTranslator::beginPath | ( |  | ) |

| Starts a path command.

void XFcPrimitiveTranslator::calculateEdgeLengths | ( |  | ) | `[protected]`

| Calcultaes the edge length array from mPoints and mLineIndicies.

void XFcPrimitiveTranslator::calculateFilling | ( |  | ) | `[protected]`

| Calculates the filling for the path by closing all gaps.

void XFcPrimitiveTranslator::calculatePerceivedValues | ( |  | ) | `[protected]`

| Calculates the perceived values of stroke width, opacity, caps and joins for very thin lines.

void XFcPrimitiveTranslator::calculateStroking | ( |  | ) | `[protected]`

| Calculates the stroke from mPoints and mLineIndicies to mEdgepoints, mEdgeJoins and mEdgeLineIndicies.

XFCIMPORT void XFcPrimitiveTranslator::closePath | ( |  | ) |

| Closes the path with a straight line.

XFCIMPORT XFcPrimitiveTranslator* XFcPrimitiveTranslator::create | ( |  | ) | `[static]`

| Static constructor.

void XFcPrimitiveTranslator::createDash | ( | XFcPrimitiveDrawPointSet * | aPoints,
|  | XFcPrimitiveDrawLineSet * | aLines,
|  | XFcPrimitiveTranslatorLengths * | aEdgeLengths,
|  | XFcPrimitiveTranslatorFlags * | aLineFlags
| ) | `[protected]`

| Creates a dashed line using dashArray. This is just the dashed outline, stroking is done separately.

void XFcPrimitiveTranslator::createRoundingCircle | ( |  | ) | `[protected]`

| Creates the circle to be used for rounded caps and joins.

void XFcPrimitiveTranslator::curveToAbsolute | ( | REAL | aXCP1,
|  | REAL | aYCP1,
|  | REAL | aXCP2,
|  | REAL | aYCP2,
|  | REAL | aX,
|  | REAL | aY
| ) | `[inline]`

| Draws a cubic bezier curve from the previous position to a new position with two control points.

XFCIMPORT void XFcPrimitiveTranslator::curveToAbsolute | ( | XFcVector2 & | aCP1,
|  | XFcVector2 & | aCP2,
|  | XFcVector2 & | aPos
| ) |

| Draws a cubic bezier curve from the previous position to a new position with two control points.

void XFcPrimitiveTranslator::curveToRelative | ( | REAL | aXCP1,
|  | REAL | aYCP1,
|  | REAL | aXCP2,
|  | REAL | aYCP2,
|  | REAL | aX,
|  | REAL | aY
| ) | `[inline]`

| Draws a cubic bezier curve in relation to the previous position.

XFCIMPORT void XFcPrimitiveTranslator::curveToRelative | ( | XFcVector2 & | aCP1,
|  | XFcVector2 & | aCP2,
|  | XFcVector2 & | aPos
| ) |

| Draws a cubic bezier curve in relation to the previous position.

void XFcPrimitiveTranslator::deleteCircleArray | ( |  | ) | `[protected]`

| Deletes the circle array.

void XFcPrimitiveTranslator::ellipticalArcAbsolute | ( | REAL | aRadiusX,
|  | REAL | aRadiusY,
|  | REAL | aRotation,
|  | UINT32 | aFlags,
|  | REAL | aX,
|  | REAL | aY
| ) | `[inline]`

| Draws an ellipical arc. See SVG 1.0 Specification for explanation.

XFCIMPORT void XFcPrimitiveTranslator::ellipticalArcAbsolute | ( | XFcVector2 & | aRadii,
|  | REAL | aRotation,
|  | UINT32 | aFlags,
|  | XFcVector2 & | aPos
| ) |

| Draws an ellipical arc. See SVG 1.0 Specification for explanation.

void XFcPrimitiveTranslator::ellipticalArcRelative | ( | REAL | aRadiusX,
|  | REAL | aRadiusY,
|  | REAL | aRotation,
|  | UINT32 | aFlags,
|  | REAL | aX,
|  | REAL | aY
| ) | `[inline]`

| Draws an ellipical arc. See SVG 1.0 Specification for explanation.

XFCIMPORT void XFcPrimitiveTranslator::ellipticalArcRelative | ( | XFcVector2 & | aRadii,
|  | REAL | aRotation,
|  | UINT32 | aFlags,
|  | XFcVector2 & | aPos
| ) |

| Draws an ellipical arc. See SVG 1.0 Specification for explanation.

XFCIMPORT void XFcPrimitiveTranslator::endPath | ( |  | ) |

| Ends a path command. The path will be rendered to the canvas.

XFCIMPORT void XFcPrimitiveTranslator::getEdgeInfo | ( | REAL | aPos,
|  | XFcVector2 * | aPosition,
|  | XFcVector2 * | aDirection
| ) |

| After the endpath command has been issued, it is possible to find a point on the edge of the path. aPos is a value between 0 and 1, where 0 is the start of the path and 1 is the end of the path. The calculated edge position and direction (not normalized) are placed to aPosition and aDirection.

XFCIMPORT XFcGLSurface* XFcPrimitiveTranslator::getRenderTarget | ( |  | ) |

| Returns the rendering surface.

XFCIMPORT void XFcPrimitiveTranslator::horizontalLineToAbsolute | ( | REAL | aX | ) |

| Draws a horizontal line from the previous position to a new x position.

XFCIMPORT void XFcPrimitiveTranslator::horizontalLineToRelative | ( | REAL | aX | ) |

| Draws a horizontal line in relation to the previous position.

void XFcPrimitiveTranslator::lineToAbsolute | ( | REAL | aX,
|  | REAL | aY
| ) | `[inline]`

| Draws a line from previous position to a new position.

XFCIMPORT void XFcPrimitiveTranslator::lineToAbsolute | ( | XFcVector2 & | aPos | ) |

| Draws a line from previous position to a new position.

void XFcPrimitiveTranslator::lineToRelative | ( | REAL | aX,
|  | REAL | aY
| ) | `[inline]`

| Draws a line in relation to the previous position.

XFCIMPORT void XFcPrimitiveTranslator::lineToRelative | ( | XFcVector2 & | aPos | ) |

| Draws a line in relation to the previous position.

void XFcPrimitiveTranslator::moveToAbsolute | ( | REAL | aX,
|  | REAL | aY
| ) | `[inline]`

| Moves the pointer to an absolute position.

XFCIMPORT void XFcPrimitiveTranslator::moveToAbsolute | ( | XFcVector2 & | aPos | ) |

| Moves the pointer to an absolute position.

void XFcPrimitiveTranslator::moveToRelative | ( | REAL | aX,
|  | REAL | aY
| ) | `[inline]`

| Moves the pointer relatively to the previous position.

XFCIMPORT void XFcPrimitiveTranslator::moveToRelative | ( | XFcVector2 & | aPos | ) |

| Moves the pointer relatively to the previous position.

void XFcPrimitiveTranslator::quadraticCurveToAbsolute | ( | REAL | aXCP,
|  | REAL | aYCP,
|  | REAL | aX,
|  | REAL | aY
| ) | `[inline]`

| Draws a quadratic bezier curve from the previous position to a new position using one control point.

XFCIMPORT void XFcPrimitiveTranslator::quadraticCurveToAbsolute | ( | XFcVector2 & | aCP,
|  | XFcVector2 & | aPos
| ) |

| Draws a quadratic bezier curve from the previous position to a new position using one control point.

void XFcPrimitiveTranslator::quadraticCurveToRelative | ( | REAL | aXCP,
|  | REAL | aYCP,
|  | REAL | aX,
|  | REAL | aY
| ) | `[inline]`

| Draws a quadratic bezier curve in relation to the previous position using one control point.

XFCIMPORT void XFcPrimitiveTranslator::quadraticCurveToRelative | ( | XFcVector2 & | aCP,
|  | XFcVector2 & | aPos
| ) |

| Draws a quadratic bezier curve in relation to the previous position using one control point.

void XFcPrimitiveTranslator::resetCircleArray | ( | INT32 | aArraySize | ) | `[protected]`

| Creates an array of XFcPrimitiveDrawIndexedPrimitives to be used for rounded caps and joins.

XFCIMPORT void XFcPrimitiveTranslator::setAntialiasing | ( | INT | aState | ) |

| Sets the antialiasing mode (TRUE / FALSE).

XFCIMPORT void XFcPrimitiveTranslator::setClipRect | ( | XFcRectangle * | aClipRect | ) |

| Sets the clipping rectangle to be used for rendering.

XFCIMPORT void XFcPrimitiveTranslator::setCurveSmoothLength | ( | REAL | aSmoothness | ) |

| Sets the smoothness for the curve approximation. Curves are converted to linesets for rendering. Curve smoothness defines the approximate length of one curve segment. The length is calculated from the length of the control path of the curve.

XFCIMPORT void XFcPrimitiveTranslator::setDashArray | ( | REAL * | aDashArray,
|  | INT32 | aLength
| ) |

| Sets the dash array for dashing.

XFCIMPORT void XFcPrimitiveTranslator::setDashOffset | ( | REAL | aDashOffset | ) |

| Sets the dash offset for dashing.

XFCIMPORT void XFcPrimitiveTranslator::setFillColor | ( | UINT32 | aColor | ) |

| Sets the color to be used for filling. Color is in X8R8G8B8 format.

XFCIMPORT void XFcPrimitiveTranslator::setFillGradient | ( | XFcPrimitiveDrawGradientFiller * | aGradient | ) |

| Sets the gradient filler to be used for filling.

XFCIMPORT void XFcPrimitiveTranslator::setFillImage | ( | XFcPrimitiveDrawImageFiller * | aImageFiller | ) |

| Sets the image filler to be used for filling.

XFCIMPORT void XFcPrimitiveTranslator::setFillOff | ( |  | ) |

| Sets the filling off.

XFCIMPORT void XFcPrimitiveTranslator::setFillOpacity | ( | UINT8 | aOpacity | ) |

| Sets the opacity for filling.

XFCIMPORT void XFcPrimitiveTranslator::setFillPattern | ( | XFcPrimitiveDrawPatternFiller * | aPattern | ) |

| Sets the pattern filler to be used for filling.

XFCIMPORT void XFcPrimitiveTranslator::setFillRule | ( | INT32 | aFillRule | ) |

| Sets the fill rule for filling.

XFCIMPORT void XFcPrimitiveTranslator::setLineCap | ( | INT32 | aLineCap | ) |

| Sets the line cap style.

XFCIMPORT void XFcPrimitiveTranslator::setLineJoin | ( | INT32 | aLineJoin | ) |

| Sets the line join style.

XFCIMPORT void XFcPrimitiveTranslator::setMiterLimit | ( | REAL | aMiterLimit | ) |

| Sets the miter limit.

XFCIMPORT void XFcPrimitiveTranslator::setRenderer | ( | XFcPrimitiveDraw * | aRenderer | ) |

| Sets the XFcPrimitiveDraw to be used for rendering.

XFCIMPORT void XFcPrimitiveTranslator::setRenderTarget | ( | XFcGLSurface * | aRenderTarget | ) |

| Sets the surface for rendering.

XFCIMPORT void XFcPrimitiveTranslator::setStrokeColor | ( | UINT32 | aColor | ) |

| Sets the color to be used for stroking. Color is in X8R8G8B8 format.

XFCIMPORT void XFcPrimitiveTranslator::setStrokeGradient | ( | XFcPrimitiveDrawGradientFiller * | aGradient | ) |

| Sets the gradient filler to be used for stroking.

XFCIMPORT void XFcPrimitiveTranslator::setStrokeImage | ( | XFcPrimitiveDrawImageFiller * | aImageFiller | ) |

| Sets the image filler to be used for stroking.

XFCIMPORT void XFcPrimitiveTranslator::setStrokeOff | ( |  | ) |

| Sets the stroking off.

XFCIMPORT void XFcPrimitiveTranslator::setStrokeOpacity | ( | UINT8 | aOpacity | ) |

| Sets the opacity for stroking.

XFCIMPORT void XFcPrimitiveTranslator::setStrokePattern | ( | XFcPrimitiveDrawPatternFiller * | aPattern | ) |

| Sets the pattern filler to be used for stroking.

XFCIMPORT void XFcPrimitiveTranslator::setStrokeWidth | ( | REAL | aWidth | ) |

| Sets the stroke width.

XFCIMPORT void XFcPrimitiveTranslator::setTransformation | ( | XFcMatrix3 & | aTransformation | ) |

| Sets the transformation matrix for transforming the primitives.

void XFcPrimitiveTranslator::smoothCurveToAbsolute | ( | REAL | aXCP2,
|  | REAL | aYCP2,
|  | REAL | aX,
|  | REAL | aY
| ) | `[inline]`

| Draws a cubic bezier curve from the previous position to a new position using a mirror of the previous control point and one new control point.

XFCIMPORT void XFcPrimitiveTranslator::smoothCurveToAbsolute | ( | XFcVector2 & | aCP2,
|  | XFcVector2 & | aPos
| ) |

| Draws a cubic bezier curve from the previous position to a new position using a mirror of the previous control point and one new control point.

void XFcPrimitiveTranslator::smoothCurveToRelative | ( | REAL | aXCP2,
|  | REAL | aYCP2,
|  | REAL | aX,
|  | REAL | aY
| ) | `[inline]`

| Draws a cubic bezier curve in relation to the previous position using a mirror of the previous control point and one new control point.

XFCIMPORT void XFcPrimitiveTranslator::smoothCurveToRelative | ( | XFcVector2 & | aCP2,
|  | XFcVector2 & | aPos
| ) |

| Draws a cubic bezier curve in relation to the previous position using a mirror of the previous control point and one new control point.

void XFcPrimitiveTranslator::smoothQuadraticCurveToAbsolute | ( | REAL | aX,
|  | REAL | aY
| ) | `[inline]`

| Draws a quadratic bezier curve from the previous position to a new position using a mirror of the previous control point.

XFCIMPORT void XFcPrimitiveTranslator::smoothQuadraticCurveToAbsolute | ( | XFcVector2 & | aPos | ) |

| Draws a quadratic bezier curve from the previous position to a new position using a mirror of the previous control point.

void XFcPrimitiveTranslator::smoothQuadraticCurveToRelative | ( | REAL | aX,
|  | REAL | aY
| ) | `[inline]`

| Draws a quadratic bezier curve in relation to the previous position using a mirror of the previous control point.

XFCIMPORT void XFcPrimitiveTranslator::smoothQuadraticCurveToRelative | ( | XFcVector2 & | aPos | ) |

| Draws a quadratic bezier curve in relation to the previous position using a mirror of the previous control point.

XFCIMPORT void XFcPrimitiveTranslator::verticalLineToAbsolute | ( | REAL | aY | ) |

| Draws a vertical line from the previous position to a new y position.

XFCIMPORT void XFcPrimitiveTranslator::verticalLineToRelative | ( | REAL | aY | ) |

| Draws a vertical line in relation to the previous position.

## Member Data Documentation

INT XFcPrimitiveTranslator::mAntialiasing`[protected]`

XFcPrimitiveDrawIndexedPrimitive** XFcPrimitiveTranslator::mCircleArray`[protected]`

INT32 XFcPrimitiveTranslator::mCircleArrayLength`[protected]`

INT32 XFcPrimitiveTranslator::mCircleIndex`[protected]`

XFcRectangle* XFcPrimitiveTranslator::mClipRect`[protected]`

XFcVector2 XFcPrimitiveTranslator::mCurrentPoint`[protected]`

REAL XFcPrimitiveTranslator::mCurveSmooth`[protected]`

REAL* XFcPrimitiveTranslator::mDashArray`[protected]`

INT32 XFcPrimitiveTranslator::mDashArrayLength`[protected]`

REAL XFcPrimitiveTranslator::mDashOffset`[protected]`

XFcPrimitiveDrawIndexedPrimitiveSet* XFcPrimitiveTranslator::mEdgeJoins`[protected]`

XFcPrimitiveTranslatorLengths* XFcPrimitiveTranslator::mEdgeLengths`[protected]`

XFcPrimitiveDrawLineSet* XFcPrimitiveTranslator::mEdgeLineIndicies`[protected]`

XFcPrimitiveDrawPointSet* XFcPrimitiveTranslator::mEdgePoints`[protected]`

UINT32 XFcPrimitiveTranslator::mFillColor`[protected]`

XFcPrimitiveDrawFiller* XFcPrimitiveTranslator::mFiller`[protected]`

INT32 XFcPrimitiveTranslator::mFillMode`[protected]`

UINT8 XFcPrimitiveTranslator::mFillOpacity`[protected]`

INT32 XFcPrimitiveTranslator::mFillRule`[protected]`

INT32 XFcPrimitiveTranslator::mFirstLine`[protected]`

INT32 XFcPrimitiveTranslator::mFirstPoint`[protected]`

INT32 XFcPrimitiveTranslator::mInsertedLineCount`[protected]`

INT32 XFcPrimitiveTranslator::mInvalidationFlags`[protected]`

XFcVector2 XFcPrimitiveTranslator::mLastControlPoint`[protected]`

INT32 XFcPrimitiveTranslator::mLineCap`[protected]`

INT32 XFcPrimitiveTranslator::mLineCaps`[protected]`

XFcPrimitiveTranslatorFlags* XFcPrimitiveTranslator::mLineFlags`[protected]`

XFcPrimitiveDrawLineSet* XFcPrimitiveTranslator::mLineIndicies`[protected]`

INT32 XFcPrimitiveTranslator::mLineJoin`[protected]`

REAL XFcPrimitiveTranslator::mMiterLimit`[protected]`

XFcVector2 XFcPrimitiveTranslator::mPathStart`[protected]`

INT32 XFcPrimitiveTranslator::mPerceivedLineCap`[protected]`

INT32 XFcPrimitiveTranslator::mPerceivedLineJoin`[protected]`

UINT8 XFcPrimitiveTranslator::mPerceivedStrokeOpacity`[protected]`

REAL XFcPrimitiveTranslator::mPerceivedStrokeWidth`[protected]`

XFcPrimitiveDrawPointSet* XFcPrimitiveTranslator::mPoints`[protected]`

UINT32 XFcPrimitiveTranslator::mProcessingInfoFlags`[protected]`

XFcPrimitiveDraw* XFcPrimitiveTranslator::mRenderer`[protected]`

XFcGLSurface* XFcPrimitiveTranslator::mRenderTarget`[protected]`

XFcPrimitiveDrawIndexedPrimitive* XFcPrimitiveTranslator::mRoundingCircleLeft`[protected]`

XFcPrimitiveDrawIndexedPrimitive* XFcPrimitiveTranslator::mRoundingCircleRight`[protected]`

REAL XFcPrimitiveTranslator::mRoundingCircleSize`[protected]`

REAL XFcPrimitiveTranslator::mRoundingCircleYPos`[protected]`

UINT32 XFcPrimitiveTranslator::mStrokeColor`[protected]`

XFcPrimitiveDrawFiller* XFcPrimitiveTranslator::mStrokeFiller`[protected]`

INT32 XFcPrimitiveTranslator::mStrokeMode`[protected]`

UINT8 XFcPrimitiveTranslator::mStrokeOpacity`[protected]`

REAL XFcPrimitiveTranslator::mStrokeWidth`[protected]`

XFcMatrix3 XFcPrimitiveTranslator::mTransformation`[protected]`

|  | X-Forge Documentation Confidential Copyright © 2002-2003 Fathammer |  | Documentation generated with doxygen by Dimitri van Heesch